#!/bin/bash

cat "${1}" |
 sed 's/<TRACK /\n<TRACK /g' |
 sed 's/STATEMENT.*EXCERPT="\([^\"]*\)"/\nUSE_EXCERPT=\1\n/g' |
 sed 's/SELECTION.*LABEL="\([^\"]*\)"/\nUSE_LABEL=\1\n/g' |
 sed 's/<MEDIA-FILE/\n<MEDIA-FILE/g' |
 sed 's/<GLOSS-WINDOW/\n<GLOSS-WINDOW/g' |
 sed 's/<NOTES/\n<NOTES/g' |
 egrep -v '<TRACK FID=[^>]*/>' |
 egrep '(<TRACK FID="(1000|2000|10000|9999999)")|(PATH=)|(XML_MODIFIED_DATE=)|(USE_EXCERPT=)|(USE_LABEL=)' |
 sed 's/<ENTITY/FID="8888888">/g' |
 sed 's/<ITEM/FID="6666666">/g' |
 sed 's/[^FV]ID="[^\"]*"//g' |
 sed 's/"\([-0-9]*\)"/\n\1\n/g' |
 egrep '(^[-0-9]+$)|(> *[^<>]+ *<\/ITEM>)|(PATH=)|(XML_MODIFIED_DATE=)|(USE_EXCERPT=)|(USE_LABEL=)' |
 egrep -v 'Final Hold' |
 sed 's/^.*> *\([^<>]\+\) *<\/ITEM.*$/\1/' |
 sed 's/^.*\\\([^\\]*\\[^\\]*\.mov\).*$/\1/' |
 sed 's/^.*\/\([^/]*\/[^/]*\.mov\).*$/\1/' |
 sed 's/^\(<MEDIA-FILE \)*PATH=//' |
 sed 's/^XML_MODIFIED_DATE=//' |
 sed 's/^USE_EXCERPT=\(.*\)$/7777777\n\1/' |
 sed 's/^USE_LABEL=\(.*\)$/5555555\n\1/' |
 sed 's/^ \+//' | sed 's/ \+$//'
