function [ old_signer_gloss_infos ]			= reorder_struct_fields( signer_gloss_infos, old_signer_gloss_infos )

	all_fields								= {};
	all_fields_classes						= {};
	gloss_infos_fieldnames					= {};
	for signeri								= 1:length( old_signer_gloss_infos );
		gloss_infos(signeri).fieldnames		= fieldnames( signer_gloss_infos(signeri).gloss_infos );
		for fieldi							= 1:length( gloss_infos(signeri).fieldnames );
			all_fields{ end+1 }				= gloss_infos(signeri).fieldnames{ fieldi };
			all_fields_classes{ end+1 }		= class( getfield( signer_gloss_infos(signeri).gloss_infos, all_fields{end} ) );
		end
	end

	[ all_fields, fieldsi, fieldsj ] 		= unique( all_fields );
	all_fields_classes						= { all_fields_classes{ fieldsi } };

	for signeri								= 1:length( old_signer_gloss_infos );
		[ t, missing_fieldsi ]				= setdiff( all_fields, fieldnames( old_signer_gloss_infos(signeri).gloss_infos ) );
		if isempty( missing_fieldsi ); 		continue; 	end
		for fieldi 							= missing_fieldsi;
			if strcmp( all_fields_classes{ 	fieldi }, 	'char' );
				new_field					= '';
			else
				new_field					= zeros( 0, all_fields_classes{ fieldi } );
			end
			old_signer_gloss_infos(signeri).gloss_infos(1).(all_fields{fieldi})		= new_field;
		end
		old_signer_gloss_infos(signeri).gloss_infos = ...
								orderfields( old_signer_gloss_infos(signeri).gloss_infos, signer_gloss_infos(1).gloss_infos );
	end
return
